package cd.casic.ci.process.process.service.testCase;


import cd.casic.ci.process.dto.req.testCase.TestCaseManagerQueryReq;
import cd.casic.ci.process.dto.req.testCase.TestCaseManagerReq;
import cd.casic.ci.process.dto.resp.sftpFile.FileBase64DownloadResp;
import cd.casic.ci.process.dto.resp.testCase.TestCaseManagerResp;
import cd.casic.ci.process.process.dataObject.testCase.TestCaseManager;
import cd.casic.framework.commons.pojo.PageResult;
import com.baomidou.mybatisplus.extension.service.IService;
import jakarta.validation.Valid;

import java.util.List;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName PipelineService
 * @Date: 2025/5/13 10:27
 * @Description:
 */
public interface TestCaseManagerService extends IService<TestCaseManager> {

    String create(@Valid TestCaseManagerReq req);

    void delete(String id);

    void updateTestCaseManager(@Valid TestCaseManagerReq req);

    List<TestCaseManagerResp> findList(@Valid TestCaseManagerQueryReq query);

    PageResult<TestCaseManagerResp> findPage(@Valid TestCaseManagerQueryReq query);

    TestCaseManagerResp findById(String id);

    FileBase64DownloadResp downLoadById(String id );

}
